File novell-ipsec-tools_plugins-support-configure.patch of Package novell-ipsec-tools

Index: ipsec-tools-0.7.3/configure.ac
===================================================================
--- ipsec-tools-0.7.3.orig/configure.ac
+++ ipsec-tools-0.7.3/configure.ac
@@ -794,6 +794,17 @@ if test "$enable_security_context" = "ye
 	fi
 fi
 
+# Option for plugins-support
+AC_MSG_CHECKING(if --enable-plugins-support option is specified)
+AC_ARG_ENABLE(plugins-support,
+        [  --enable-plugins-support     enable plugins support function],
+        [], [enable_plugins_support=no])
+if test "x$enable_plugins_support" = "xyes"; then
+        AC_DEFINE([PLUGINS_SUPPORT], [], [Enable plugins support])
+fi
+AC_MSG_RESULT($enable_plugins_support)
+
+
 CFLAGS="$CFLAGS $CFLAGS_ADD"
 CPPFLAGS="$CPPFLAGS $CPPFLAGS_ADD"
 
Index: ipsec-tools-0.7.3/ChangeLog
===================================================================
--- ipsec-tools-0.7.3.orig/ChangeLog
+++ ipsec-tools-0.7.3/ChangeLog
@@ -1,3 +1,8 @@
+2010-09-27  Bin Li <bili@novell.com>
+	* configure.ac:
+	Add --enable-plugins-support features in configure.ac,
+	it'll define PLUGINS_SUPPORT Macro.
+
 2009-08-13  tag ipsec-tools-0_7_3
 
 2009-08-13  Yvan Vanhullebus <vanhu@netasq.com>
openSUSE Build Service is sponsored by